/*	main.h
*
*	Includes and globals.
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#include <avr/io.h>
#include "Util.h"
#include "Timer.h"
#include "InOut.h"
#include "Analog.h"
#include "Buzzer.h"
#include "LCD.h"
#include "Motor.h"

extern OUT g_led;
extern IN g_btnL;
extern IN g_btnR;
extern IN g_btnSel;
extern ANALOG g_adcPot;
extern BUZZER g_buzzer;
extern TIMER g_timer;
extern LCD  g_lcd;
extern MOTOR g_motorLeft;
extern MOTOR g_motorRight;

extern char g_szBuf[17];
